> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavebybemobi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List invoices



## OpenAPI

````yaml GET /subscriptions/{id}/invoices
openapi: 3.1.0
info:
  title: Wave Lines API
  version: 1.0.0
servers: []
security:
  - client_id: []
    secret_key: []
tags:
  - name: lines
    description: Line lifecycle operations
  - name: payments
    description: Payment listing and lookup
  - name: tax-receipts
    description: Tax receipt listing, lookup and document download
  - name: subscriptions
    description: Subscription lookup, product management and invoices
  - name: holders
    description: Holder (customer) listing, lookup and creation
  - name: usage
    description: 'Usage: per-product line balance and consumption'
  - name: Portability
    description: >-
      Number portability: port-in request creation, listing, modification and
      cancellation, plus the consolidated portability status
  - name: Inventory
    description: >-
      Inventory resource pools: pool listing, the resources held in a pool and
      resource reservations
  - name: Catalog
    description: Catalog offers exposed by the Wave Catalog API
paths:
  /subscriptions/{id}/invoices:
    get:
      tags:
        - subscriptions
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    number:
                      type: integer
                    customer:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        federalTaxId:
                          type: string
                        contact:
                          type: object
                          properties:
                            phone:
                              type: object
                              properties:
                                countryCode:
                                  type: string
                                areaCode:
                                  type: string
                                phoneNumber:
                                  type: string
                              required:
                                - countryCode
                                - areaCode
                                - phoneNumber
                              additionalProperties: false
                            email:
                              type: string
                          required:
                            - phone
                          additionalProperties: false
                        address:
                          type: object
                          properties:
                            street:
                              type: string
                            number:
                              type: string
                            complement:
                              type: string
                            neighborhood:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            zipCode:
                              type: string
                            country:
                              type: string
                          required:
                            - street
                            - number
                            - neighborhood
                            - city
                            - state
                            - zipCode
                            - country
                          additionalProperties: false
                        createdAt:
                          type: string
                        externalCode:
                          type: string
                      required:
                        - id
                        - name
                        - federalTaxId
                        - contact
                        - address
                        - createdAt
                      additionalProperties: false
                    supplier:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        businessName:
                          type: string
                        federalTaxId:
                          type: string
                        address:
                          type: object
                          properties:
                            street:
                              type: string
                            number:
                              type: string
                            complement:
                              type: string
                            neighborhood:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            zipCode:
                              type: string
                            country:
                              type: string
                          required:
                            - street
                            - number
                            - neighborhood
                            - city
                            - state
                            - zipCode
                            - country
                          additionalProperties: false
                        contact:
                          type: object
                          properties:
                            phone:
                              type: object
                              properties:
                                countryCode:
                                  type: string
                                areaCode:
                                  type: string
                                phoneNumber:
                                  type: string
                              required:
                                - countryCode
                                - areaCode
                                - phoneNumber
                              additionalProperties: false
                            email:
                              type: string
                          required:
                            - phone
                          additionalProperties: false
                        createdAt:
                          type: string
                        externalCode:
                          type: string
                      required:
                        - id
                        - name
                        - businessName
                        - federalTaxId
                        - address
                        - createdAt
                      additionalProperties: false
                    status:
                      type: string
                      enum:
                        - PENDING
                        - PROCESSING
                        - DRAFT
                        - OPEN
                        - VOID
                        - PAID
                        - FAILED
                        - CANCELED
                    referenceStartDate:
                      type: string
                    referenceEndDate:
                      type: string
                    dueDate:
                      type: string
                    items:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          invoiceId:
                            type: string
                          componentId:
                            type: string
                          transactionId:
                            type: string
                          description:
                            type: string
                          price:
                            type: string
                          referencePeriod:
                            type: object
                            properties:
                              startDate:
                                type: string
                              endDate:
                                type: string
                            required:
                              - startDate
                            additionalProperties: false
                          status:
                            type: string
                            enum:
                              - ACTIVE
                              - DELETED
                          metadata:
                            anyOf:
                              - type: object
                                additionalProperties:
                                  type:
                                    - string
                                    - number
                                    - boolean
                                    - 'null'
                              - type: 'null'
                          externalCode:
                            type: string
                          createdAt:
                            type: string
                          idempotencyKey:
                            type: string
                        required:
                          - id
                          - invoiceId
                          - componentId
                          - transactionId
                          - description
                          - price
                          - referencePeriod
                          - status
                          - createdAt
                        additionalProperties: false
                    description:
                      type: string
                    externalCode:
                      type: string
                    issuedAt:
                      type: string
                    canceledAt:
                      type: string
                    createdAt:
                      type: string
                    totalPrice:
                      type: string
                    metadata:
                      anyOf:
                        - type: object
                          additionalProperties:
                            type:
                              - string
                              - number
                              - boolean
                              - 'null'
                        - type: 'null'
                    brokerReconciliationId:
                      type: string
                  required:
                    - id
                    - number
                    - customer
                    - supplier
                    - status
                    - referenceStartDate
                    - referenceEndDate
                    - items
                    - createdAt
                    - totalPrice
                  additionalProperties: false
components:
  securitySchemes:
    client_id:
      type: apiKey
      in: header
      name: client_id
    secret_key:
      type: apiKey
      in: header
      name: secret_key

````